Get a specific code

GET/construe/codes/{codesystem}/{codeID}

Looks up a specific code in the terminology server and returns its details.

Usage of CPT is subject to AMA requirements: see PhenoML Terms of Service.

RequiresBearerauthentication

Path parameters

codesystemstringrequired

Code system name

codeIDstringrequired

The code identifier. ICD-10-CM codes are stored without their cosmetic dot (use "E1165", not "E11.65").

Query parameters

versionstringoptional

Specific version of the code system

Returns  

Code details

Response fields

systemobjectrequired
namestringrequired

Code system name

versionstringrequired

Code system version

codestringrequired

The code identifier

descriptionstringrequired

Short description of the code

definitionstringoptional

Extended definition of the code (if available)

GETRequest
curl 'https://experiment.app.pheno.ml/construe/codes/ICD-10-CM/E1165' \
  -H 'Authorization: Bearer YOUR_API_KEY'
200 OKResponse
{
  "system": {
    "name": "ICD-10-CM",
    "version": "2025"
  },
  "code": "E1165",
  "description": "Type 2 diabetes mellitus with hyperglycemia"
}